Billing & Usage History
All operations require authentication.
List allowed credit thresholdsProduction
Path parameters
The name of your billingAccount
Response
AUDCADCZKEURGBPINRLTLMADN/APLNSGDTNDUSDXOFpointsExample uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ allowedCreditThreshold \
-H "authorization: Bearer $OVH_TOKEN"[ { "currencyCode": "AUD", "text": "string", "value": 0 }]
List security deposit amountsProduction
Path parameters
The name of your billingAccount
Response
AUDCADCZKEURGBPINRLTLMADN/APLNSGDTNDUSDXOFpointsExample uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ amountSecurityDeposit \
-H "authorization: Bearer $OVH_TOKEN"[ { "currencyCode": "AUD", "text": "string", "value": 0 }]
Check a security deposit transferProduction
Path parameters
The name of your billingAccount
Request body (required)
The destination billing account
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ canTransferSecurityDeposit \
-H "authorization: Bearer $OVH_TOKEN"true
List billed consumptionsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ historyConsumption \
-H "authorization: Bearer $OVH_TOKEN"[ "2024-01-01"]
Get a billed consumptionProduction
Path parameters
The name of your billingAccount
Response
Price with it's currency and textual representation
Price with it's currency and textual representation
Billing progress status
doingdoneerrortodoExample uses billingAccount = string, date = 2024-01-01
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ historyConsumption/ {date} \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "priceOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}
Get billed consumption filesProduction
Path parameters
The name of your billingAccount
Query parameters
Document suffix
csvpdfreceived.csvxmlResponse
File providing task status
doingdoneerrortodoExample uses billingAccount = string, date = 2024-01-01
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ historyConsumption/ {date}/ file \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
List repayment billsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ historyRepaymentConsumption \
-H "authorization: Bearer $OVH_TOKEN"[ "2024-01-01"]
Get a repayment billProduction
Path parameters
The name of your billingAccount
date of the bill
Response
the number of the bill
date of the bill
the amout which is repayed
status of the bill
doingdoneerrortodoExample uses billingAccount = string, date = 2024-01-01
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ historyRepaymentConsumption/ {date} \
-H "authorization: Bearer $OVH_TOKEN"{ "billingNumber": "string", "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}
Request a repaymentProduction
Path parameters
The name of your billingAccount
Request body (required)
The number of the bill
Response
the number of the bill
date of the bill
the amout which is repayed
status of the bill
doingdoneerrortodoExample uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ historyRepaymentConsumption \
-H "authorization: Bearer $OVH_TOKEN"{ "billingNumber": "string", "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}
Get the bill as CSVProduction
Path parameters
The name of your billingAccount
date of the bill
Response
File providing task status
doingdoneerrortodoExample uses billingAccount = string, date = 2024-01-01
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ historyRepaymentConsumption/ {date}/ document \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
List toll-free billsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ historyTollfreeConsumption \
-H "authorization: Bearer $OVH_TOKEN"[ "2024-01-01"]
Get a toll-free billProduction
Path parameters
The name of your billingAccount
date of the bill
Response
date of the bill
the amount which is paid by the called number
status of the bill
doingdoneerrortodoExample uses billingAccount = string, date = 2024-01-01
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ historyTollfreeConsumption/ {date} \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}
Get the bill as CSVProduction
Path parameters
The name of your billingAccount
date of the bill
Response
File providing task status
doingdoneerrortodoExample uses billingAccount = string, date = 2024-01-01
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ historyTollfreeConsumption/ {date}/ document \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
List out-of-plan alertsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ outplanNotification \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an out-of-plan alertProduction
Path parameters
The name of your billingAccount
Id of the object
Response
The blocking type of the associate lines
blockAllCallsblockIncomingCallsblockOutgoingCallsnoneThe id of the notification
Override the nichandle email for this notification
The notification percentage of maximum outplan
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ outplanNotification/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "block": "blockAllCalls", "id": 0, "notifyEmail": "string", "percentage": 0}
Create an out-of-plan alertProduction
Path parameters
The name of your billingAccount
Request body (required)
The blocking type of the associate lines
blockAllCallsblockIncomingCallsblockOutgoingCallsnoneOverride the nichandle email for this notification
The notification percentage of maximum outplan
Response
The blocking type of the associate lines
blockAllCallsblockIncomingCallsblockOutgoingCallsnoneThe id of the notification
Override the nichandle email for this notification
The notification percentage of maximum outplan
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ outplanNotification \
-H "authorization: Bearer $OVH_TOKEN"{ "block": "blockAllCalls", "id": 0, "notifyEmail": "string", "percentage": 0}
Delete an out-of-plan alertProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ outplanNotification/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Transfer the security depositProduction
Path parameters
The name of your billingAccount
Request body (required)
The amount, in euros, you want to transfer
The destination billing account
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ transferSecurityDeposit \
-H "authorization: Bearer $OVH_TOKEN"